#!/usr/bin/php -q
<?php
/* do NOT run this script through a web browser */
if (!isset($_SERVER["argv"][0]) || isset($_SERVER['REQUEST_METHOD'])  || isset($_SERVER['REMOTE_ADDR'])) {
   die("<br><strong>This script is only meant to run at the command line.</strong>");
}

$default['host'] = '';                   # server host
$default['script'] = '';       # test script (absolute path starting at / - root directory -)
$default['port'] = 80;                   # tcp port
$default['idSite'] = 1;                 # timeout in seconds
$default['token'] = '';                 # timeout in seconds

$args = array();
@list(, $args['host'], $args['idSite'], $args['token'], $args['port'], $args['script']) = $_SERVER["argv"];
foreach($args as $key => $value)
	$args[$key] = ($value)? $value : $default[$key]; 

if (($args['host'] == '') || ($args['port'] == '')) {
  print "Usage: get_php_fpm_status.php <host> [<idSite>] [<token>] [<port>] [<path>]\n";
  exit(-1);
}

$piwik_url = 'http://'.$args['host'].':'.$args['port'].$args['script'].sprintf("/index.php?module=API&method=Live.getCounters&idSite=%s&lastMinutes=5&format=php&token_auth=%s",$args['idSite'],$args['token']);

$content = file_get_contents($piwik_url); 
$data = unserialize($content);
//var_dump($piwik_url);
echo 'visits:' . $data[0]['visits'] . ' actions:' . $data[0]['actions'] . ' visitors:'. $data[0]['visitors'] . ' visitsConverted:' . $data[0]['visitsConverted'];
